commit:     92a051ab9d524895feaf1f2cc23a0d2b3de9d4d2
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  4 17:15:36 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Aug  4 17:16:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92a051ab

Revert "dev-python/rospkg: Remove old"

This reverts commit 4bb6b6c620485d1eeec20de26ffdad35a54f6e6f.

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/rospkg/Manifest            |  2 ++
 dev-python/rospkg/rospkg-1.2.0.ebuild | 50 +++++++++++++++++++++++++++++++++++
 dev-python/rospkg/rospkg-1.2.6.ebuild | 50 +++++++++++++++++++++++++++++++++++
 3 files changed, 102 insertions(+)

diff --git a/dev-python/rospkg/Manifest b/dev-python/rospkg/Manifest
index 9a0a73e278b..0306a6208ac 100644
--- a/dev-python/rospkg/Manifest
+++ b/dev-python/rospkg/Manifest
@@ -1 +1,3 @@
+DIST rospkg-1.2.0.tar.gz 90516 BLAKE2B 
0c1d993c70f0ad383ab457c846416a22b9adf9611704a918c3765659231846749228073ea04950ddfdbe13f7e51f87ce5d17c1488f995e846a6590a0f9549efd
 SHA512 
f059259a38b8b2281496a69f8a55fdd31a11e91583babb82e574363c40c90221a4abb7c1d7a5ed6be3b2389ee6aaf08b4e016260c73dd779f8c7993e6eba78db
+DIST rospkg-1.2.6.tar.gz 90944 BLAKE2B 
26bd4a9deb3c6876b870ec6ccb11dfdb7820d0cf23fef2fcea8391543c58cf8e916253316df443cc9cc7e364ab790a8915e77986aef3f400785f50604fbd2a45
 SHA512 
6c88c8789927d72f8f882930aeef776dbec3c4d1343a2d4143d920684c8d2007021397a42008521c87dfc637302b9266615e13623ef5dc5c076e6e8cfd9e957d
 DIST rospkg-1.2.8.tar.gz 91042 BLAKE2B 
4c4640d45a06214240a80d2ea15a09799eb892755c7c4410761e2a3505115ee1914a542886385bcd6996ead46e46a3e4d22bf79ffc38a0d2d8f2c7ac295eb0bb
 SHA512 
c4f0c1992597aadf395effd4e6db65c20bf19501a19c569de57a2b9977d9ba794c3c68ba16b2b274ec865caffe6ec98b8fc0e88ad13ea3a9bc744e9ab6adb3a6

diff --git a/dev-python/rospkg/rospkg-1.2.0.ebuild 
b/dev-python/rospkg/rospkg-1.2.0.ebuild
new file mode 100644
index 00000000000..d3245f8cb2a
--- /dev/null
+++ b/dev-python/rospkg/rospkg-1.2.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_6,3_7} pypy3 )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+       SCM="git-r3"
+       EGIT_REPO_URI="https://github.com/ros-infrastructure/rospkg";
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the ROS package system"
+HOMEPAGE="http://wiki.ros.org/rospkg";
+if [ "${PV#9999}" != "${PV}" ] ; then
+       SRC_URI=""
+       KEYWORDS=""
+       # Needed for tests
+       S="${WORKDIR}/${PN}"
+       EGIT_CHECKOUT_DIR="${S}"
+else
+       
SRC_URI="https://github.com/ros-infrastructure/rospkg/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/catkin_pkg[${PYTHON_USEDEP}]"
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+       )"
+DEPEND="${RDEPEND} ${BDEPEND}
+       test? (
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+PATCHES=( "${FILESDIR}/gentoo.patch" "${FILESDIR}/yaml_load.patch" )
+
+python_test() {
+       nosetests --with-coverage --cover-package=rospkg --with-xunit test || 
die
+}

diff --git a/dev-python/rospkg/rospkg-1.2.6.ebuild 
b/dev-python/rospkg/rospkg-1.2.6.ebuild
new file mode 100644
index 00000000000..3dd32f0afe6
--- /dev/null
+++ b/dev-python/rospkg/rospkg-1.2.6.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_6,3_7} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+       SCM="git-r3"
+       EGIT_REPO_URI="https://github.com/ros-infrastructure/rospkg";
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the ROS package system"
+HOMEPAGE="http://wiki.ros.org/rospkg";
+if [ "${PV#9999}" != "${PV}" ] ; then
+       SRC_URI=""
+       KEYWORDS=""
+       # Needed for tests
+       S="${WORKDIR}/${PN}"
+       EGIT_CHECKOUT_DIR="${S}"
+else
+       
SRC_URI="https://github.com/ros-infrastructure/rospkg/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/catkin_pkg[${PYTHON_USEDEP}]"
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+       )"
+DEPEND="${RDEPEND} ${BDEPEND}
+       test? (
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+PATCHES=( "${FILESDIR}/gentoo.patch" "${FILESDIR}/yaml_load.patch" )
+
+python_test() {
+       nosetests --with-coverage --cover-package=rospkg --with-xunit test || 
die
+}

Reply via email to